/*
 * LineBreak  ~  v.0.2  ~  NightOwl  ~  Description of the Achievement class.
 */

public class Achievement {
    private String text;
    private int value;
    private boolean available = true;

    public Achievement(String text, int value){
        this.text = text;
        this.value = value;
    }
    public Achievement(String text, int value, boolean available){
        this.text = text;
        this.value = value;
        this.available = available;
    }

    // get
    public String getText(){ return text; }
    public int getValue(){ return value; }
    public boolean isAvailable(){ return available; }

    // set
    public void setText(String text){
        this.text = text;
    }
    public void setValue(int value){
        this.value = value;
    }
    public void setAvailable(boolean available){
        this.available = available;
    }
}
